> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve complete charge record data by ID



## OpenAPI

````yaml /openapi/integrations-api/openapi.yml get /v1/charge-records/{id}
openapi: 3.0.0
info:
  title: Spirii Legacy API
  description: >-
    API for integration to Spirii CPO backend for charge point owners and charge
    point operators with access to whitelabel user data.
  version: 1.1.25
servers:
  - url: https://api.spirii.com/
    description: Production Environment
security: []
paths:
  /v1/charge-records/{id}:
    get:
      tags:
        - Charge Records
      summary: Retrieve complete charge record data by ID
      parameters:
        - $ref: '#/components/parameters/transactionId'
        - $ref: '#/components/parameters/format'
        - $ref: '#/components/parameters/decimalSeparator'
      responses:
        '200':
          $ref: '#/components/responses/chargeRecordId'
        '400':
          $ref: '#/components/responses/badRequest'
        '500':
          $ref: '#/components/responses/badImplementation'
components:
  parameters:
    transactionId:
      in: path
      name: id
      description: Transaction ID to retrieve
      required: true
      schema:
        type: integer
        example: 1
    format:
      in: query
      name: format
      schema:
        type: string
        enum:
          - standard
          - finance
        default: standard
        example: finance
    decimalSeparator:
      in: query
      name: decimalSeparator
      schema:
        type: string
        enum:
          - ','
          - .
        default: .
        example: .
  responses:
    chargeRecordId:
      description: Transaction ID data
      content:
        application/json:
          schema:
            type: object
            required:
              - id
              - location
              - evseId
              - isRoaming
              - startedAt
              - updatedAt
              - endedAt
              - consumed
              - price
            properties:
              id:
                $ref: '#/components/schemas/id'
              location:
                $ref: '#/components/schemas/location'
              evseId:
                $ref: '#/components/schemas/evseId'
              auth:
                $ref: '#/components/schemas/auth'
              isRoaming:
                $ref: '#/components/schemas/isRoaming'
              isPublicSharing:
                $ref: '#/components/schemas/isPublicSharing'
              startedAt:
                $ref: '#/components/schemas/startedAt'
              updatedAt:
                $ref: '#/components/schemas/updatedAt'
              endedAt:
                $ref: '#/components/schemas/endedAt'
              consumed:
                $ref: '#/components/schemas/consumed'
              price:
                $ref: '#/components/schemas/price'
              isDynamicPrice:
                $ref: '#/components/schemas/isDynamicPrice'
              priceSource:
                $ref: '#/components/schemas/priceSource'
              voucherCode:
                $ref: '#/components/schemas/voucherCode'
              voucherGroupId:
                $ref: '#/components/schemas/voucherGroupId'
              billingMethod:
                $ref: '#/components/schemas/billingMethod'
          example:
            id: 1353206
            location:
              id: 1766
              crmCustomerId: null
              name: Søllerødgade
              address: Søllerødgade 42
              zipCode: '2200'
              city: København
              country: DK
              type: Parking lot
              isPublic: 1
            evseId: DK.SPI.ZM0049*1
            auth:
              evcoID: null
              tagUid: 6D54174758928AC2B645
              tagLabel: SpiriiGo-custId-1
              tagDescription: null
              tagType: creditCard
              appUserId: 1
            isRoaming: false
            isPublicSharing: false
            startedAt: '2022-11-11T08:17:39.000Z'
            updatedAt: '2022-11-11T08:17:39.000Z'
            endedAt: '2022-11-11T08:18:11.000Z'
            consumed: 4.05
            price:
              currency: DKK
              vatRate: 0,25
              amount: 14,18
              amountExVat: 11,34
              amountVat: 2,84
              netKwh: 3,6
            isDynamicPrice: true
            priceSource: LocationTariff
            voucherCode: ''
            voucherGroupId: 0
            billingMethod: AppPayment
            billingDetails: ''
    badRequest:
      description: Bad Request, invalid request or missing request parameter
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                description: Error object
                type: object
                properties:
                  message:
                    description: Error message
                    type: string
                    example: >-
                      No fields to update. Please provide at least one of the
                      valid fields
          example:
            error:
              message: Querystring parameter `id` is not allowed
              statusCode: 400
              code: QueryParamNotAllowed
    badImplementation:
      description: Something went wroing, try again later
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                description: Error object
                type: object
                properties:
                  message:
                    description: Error message
                    type: string
                    example: Something went wroing, try again later
          example:
            error:
              message: Something went wroing, try again later
              statusCode: 500
  schemas:
    id:
      description: id
      type: integer
      example: 1
    location:
      type: object
      required:
        - id
        - name
        - zipCode
        - city
      properties:
        id:
          $ref: '#/components/schemas/id'
        name:
          $ref: '#/components/schemas/name'
        streetAddress:
          $ref: '#/components/schemas/streetAddress'
        zipCode:
          $ref: '#/components/schemas/zipCode'
        city:
          $ref: '#/components/schemas/city'
    evseId:
      type: string
      example: DK.SPI.Z095*1
    auth:
      type: object
      required:
        - evcoID
        - tagUid
        - tagLabel
        - tagType
        - appUserId
      properties:
        evcoID:
          $ref: '#/components/schemas/evcoID'
        tagUid:
          $ref: '#/components/schemas/tagUid'
        tagLabel:
          $ref: '#/components/schemas/tagLabel'
        tagDescription:
          $ref: '#/components/schemas/tagDescription'
        tagType:
          $ref: '#/components/schemas/tagType'
        appUserId:
          $ref: '#/components/schemas/appUserId'
    isRoaming:
      type: boolean
      example: false
    isPublicSharing:
      type: boolean
      example: false
    startedAt:
      type: string
      format: timestamp
      example: '2021-12-11T13:04:49.372Z'
    updatedAt:
      description: Updated date
      format: timestamp
      type: string
      example: '2021-04-20T14:38:20.000Z'
    endedAt:
      type: string
      format: timestamp
      example: '2021-12-11T13:04:49.372Z'
      nullable: true
    consumed:
      type: number
      example: 4
      nullable: true
    price:
      type: object
      required:
        - currency
      properties:
        perKwh:
          $ref: '#/components/schemas/perKwh'
        currency:
          $ref: '#/components/schemas/currency'
        vat:
          $ref: '#/components/schemas/vat'
    isDynamicPrice:
      type: boolean
      example: false
    priceSource:
      type: string
      example: LocaitonTariff
    voucherCode:
      type: string
      example: IDK
    voucherGroupId:
      type: number
      example: 0
    billingMethod:
      type: string
      example: AppPayment
    name:
      description: name
      type: string
      example: Kokbjerg
    streetAddress:
      description: street
      type: string
      example: Kokbjerg 30
    zipCode:
      description: zip code
      type: string
      example: '6000'
    city:
      description: city
      type: string
      example: Kolding
    evcoID:
      type: integer
      nullable: true
      example: 1
    tagUid:
      type: string
      example: 4174758928AC2B6
    tagLabel:
      type: string
      example: tag-label-1
    tagDescription:
      type: string
      nullable: true
      example: This is a tag
    tagType:
      type: string
      example: creditCard
    appUserId:
      type: integer
      example: 1
    perKwh:
      description: price per kwh
      type: number
      example: 3
      nullable: true
    currency:
      description: pricing currency
      type: string
      example: DKK
      nullable: true
    vat:
      description: vat
      type: number
      example: 0.25
      nullable: true

````